{% extends "gc/basepage.html" %}

{% block head %}

    <style>
        .fixed-top.scrolled{background-color:#062c33!important;transition:background-color .2s linear}.fixed-top.scrolled .nav-link{color:#fff!important}@media (max-width:990px){.margin-div-section-top{padding-top:65px}}@media (min-width:991px){.margin-div-section-top{padding-top:60px}}.margin-div-section{padding-top:5px}.search-form-input{padding:.375rem .75rem;line-height:1.5;color:#495057;background:#fff none;background-clip:padding-box;border:1px solid #ced4da;border-radius:.25rem;transition:border-color ease-in-out .15s,box-shadow ease-in-out .15s;width:50%}.padding{padding:10px}i{cursor:pointer}#comment-submit{cursor:pointer}#mobile_search{cursor:pointer}.ui-autocomplete{overflow-y:scroll;max-height:200px;width:200px;list-style-type:none}.ui-autocomplete li{background-color:#fff;text-align:right;cursor:pointer;height:30px;padding:5px}.ui-autocomplete li div{color:#000;cursor:pointer;font-size:11px}.margin{margin:30px}.panel-shadow{box-shadow:rgba(0,0,0,.3) 7px 7px 7px}.panel-white{border:1px solid #ddd;background-color:#fff}.post .post-heading{height:95px;padding:20px 15px}.post .post-heading .avatar{width:60px;height:60px;display:block;margin-right:15px}.post .post-heading .meta .title{margin-bottom:0}.post .post-heading .meta .time{margin-top:8px;color:#999}.post .post-description{padding:15px;white-space:pre-line}.text-center{text-align:center}.bordor-for-response{border:ridge}
    </style>

{% endblock %}

{% block content %}
    <nav class="navbar navbar-expand-lg navbar-light fixed-top" id="mainNav">
        <div class="container">

            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>

            <div class="collapse navbar-collapse" id="navbarResponsive">
                <ul class="navbar-nav ml-auto pull-right">
                    <li class="nav-item">
                        <a class="nav-link js-scroll-trigger pull-right font-size" href="{% url 'homepage' %}">خانه</a>
                    </li>
                </ul>
            </div>

        </div>
    </nav>

    <div id="about" class="margin-div-section-top" >

        <div class="container padding">

            <div class="row">
                <div class="col-lg-12 text-center">
                    <div class="box-centered">
                        <input id="search-text" class="search-form-input font-size" placeholder="به دنبال قیمت مدل گوشی خاصی میگردید؟ جستجو کنید">
                        <a id="mobile_search" class="btn btn-danger font-size text-white">چند؟</a>
                    </div>
                </div>
            </div>

        </div>

    </div>

    <div id="services" class="margin-div-section font-size">

        <div class="container row">

            <div class="col-sm-9 margin row font-size">
                <div>
                    <input class="form-control font-size" id="comment-name" placeholder="نام">
                </div><br><br><br>
                <textarea class="form-control font-size" rows="5" id="comment-desc" placeholder="سوالی دارید؟"></textarea>
                <div><br>
                    <a class="btn btn-danger text-white font-size" id="comment-submit">ثبت نظر</a>
                    <i id="comment-loading" class="fa fa-refresh fa-spin fa-2x fa-fw"></i>
                </div><br><br>
            </div>

            <div id="comment-box" class="col-sm-9">

                {% for comment in comments %}
                    <div class="panel-white post panel-shadow margin">
                        <div class="post-heading">
                            <div class="pull-right">
                                <img src="https://bootdey.com/img/Content/user_1.jpg" class="img-circle avatar" alt="user profile image">
                            </div>
                            <div class="pull-right meta">
                                <div class="title text-right margin">{{ comment.name }}</div>
                            </div>
                        </div>
                        <div class="post-description">
                            <p class="text-right has-number">{{ comment.question }}</p>
                        </div>
                        <div class="post-description bordor-for-response">
                            <div class="text-right">پاسخ :</div>
                            <p class="text-right has-number">{{ comment.response }}</p>
                        </div>
                    </div>
                {% endfor %}
            </div>

        </div>

    </div>

{% endblock %}

{% block jsscript %}
    <script>
        $(function(){$(document).scroll(function(){let e=$(".fixed-top");e.toggleClass("scrolled",$(this).scrollTop()>e.height())})});let searchText=$("#search-text"),mobileSearch=$("#mobile_search");mobileSearch.click(function(){let e=searchText.val();""!==e&&(e=e.replace(/ /g,"_"),window.open("/items/?model="+e,"_self"))}),searchText.keypress(function(e){let t=searchText.val();13===e.which&&""!==t&&(t=t.replace(/ /g,"_"),window.open("/items/?model="+t,"_self"))});let availableTags=JSON.parse("{{ titles|escapejs }}");searchText.autocomplete({source:availableTags});let commentSubmit=$("#comment-submit"),commentLoading=$("#comment-loading"),commentName=$("#comment-name"),commentDesc=$("#comment-desc"),commentBox=$("#comment-box"),msg=$("#div.msg"),error=$("#div.error");commentSubmit.click(function(){commentLoading.show(),commentSubmit.val("ثبت سوال").prop("disabled",!0),msg.remove(),error.remove();let e=commentName.val(),t=commentDesc.val(),o=location.href;if(o=o.split("/")[4],""===t||""===e)return commentLoading.hide(),void commentSubmit.val("ثبت نظر").prop("disabled",!1);$.ajax({type:"POST",url:"https://gooshichand.com/sendfeedback/",headers:{"X-CSRFToken":getCookie("csrftoken")},data:{name:e,comment:t,section:o}}).done(function(){commentName.val(""),commentDesc.val(""),commentLoading.hide(),commentSubmit.val("ثبت نظر").prop("disabled",!1),commentBox.prepend(' <div class="panel-white post panel-shadow margin">\n                            <div class="post-heading">\n                                <div class="pull-right">\n                                    <img src="http://bootdey.com/img/Content/user_1.jpg" class="img-circle avatar" alt="user profile image">\n                                </div>\n                                <div class="pull-right meta">\n                                    <div class="title text-right">'+e+'</div>\n                                    <div class="text-muted time text-right">همین حالا</div>\n                                </div>\n                            </div>\n                            <div class="post-description">\n                                <p class="text-right">'+t+"</p>\n                            </div>\n                        </div>\n")}).fail(function(){$('<div class="error">مجددا تلاش نمایید</div>').insertAfter("#comment-submit"),commentLoading.hide(),commentSubmit.val("ثبت نظر").prop("disabled",!1)})}),$(document).ready(function(){commentLoading.hide()});
    </script>
{% endblock %}
